Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class GenLog

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenLog

Direct Known Subclasses:
  CacheLog

public class GenLog
extends java.lang.Object

Constructor Summary
`GenLog(int i)`

Method Summary
`long` | `getCycle()`
`int` | `getLevel()`
`int` | `getMaxLogFiles()`
`void` | `logMessage(java.lang.String s)`
`void` | `logMessage(java.lang.String s, boolean flag)`
`void` | `logMessages(java.lang.String[] as)`
`void` | `logMessages(java.lang.String s, java.lang.String s1)`
`void` | `logMessages(java.lang.String s, java.lang.String s1, boolean flag)`
`void` | `setCycle(long l, int i)`
`void` | `setForce(boolean flag)`
`void` | `setLevel(int i)`
`void` | `setLogFile(java.io.File file)`
`void` | `setLogFilePath(java.lang.String s)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenLog

    public GenLog(int i)

Method Detail

### getCycle

    public long getCycle()

### getLevel

    public int getLevel()

### getMaxLogFiles

    public int getMaxLogFiles()

### logMessage

    public void logMessage(java.lang.String s)

### logMessage

    public void logMessage(java.lang.String s,
                           boolean flag)

### logMessages

    public void logMessages(java.lang.String s,
                            java.lang.String s1)

### logMessages

    public void logMessages(java.lang.String s,
                            java.lang.String s1,
                            boolean flag)

### logMessages

    public void logMessages(java.lang.String[] as)

### setCycle

    public void setCycle(long l,
                         int i)

### setForce

    public void setForce(boolean flag)

### setLevel

    public void setLevel(int i)

### setLogFile

    public void setLogFile(java.io.File file)

### setLogFilePath

    public void setLogFilePath(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD